MongoDB\Driver\Exception\ConnectionTimeoutException
MongoDB\Driver\Exception\ExecutionTimeoutException
MongoDB\Driver\Exception
PHP Manual

# The MongoDB\Driver\Exception\Exception interface

(mongodb >= 1.0.0)

## Introduction

Common interface for all driver exceptions. This may be used to catch only exceptions originating from the driver itself.

## Class synopsis

MongoDB\Driver\Exception\Exception {
}

MongoDB\Driver\Exception\ConnectionTimeoutException
MongoDB\Driver\Exception\ExecutionTimeoutException
MongoDB\Driver\Exception
PHP Manual